Subject: Re: [CGA-EXT] (Others) comments on draft-ietf-csi-sndp-prob-01

From: Jean-Michel Combes <[email-masked]>
Date: Fri, 9 Oct 2009 18:10:43 +0200

Hi again,

2009/7/6 Tony Cheneau <[email-masked]>:
> Hello,
>
> I (re)read draft-ietf-csi-sndp-prob-01 and I have the following (small)
> comments:
>
> In section 2.3:
>
>   ND Proxy resends messages containing their original address, even
>   after modification [RFC4389].  [...]
>
> I think the text is a little fuzzy here. Can you explain in more detail to
> which "original address" you refer to ?

In fact, this sentence is linked to the difference between the ND
Proxy function in MIPv6 and the one in ND Proxies (aka RFC 4389): in
the first case, the IP source address of the NA message is the proxy's
one (i.e. the HA's one) and in the second case, the IP source address
is the proxied node's one.
I will modify the text.

>
>
> In section 3.4:
> The text is a bit light. It would be wise to warn that generating or
> modify Router Advertisement message implies that the proxy has "at
> least" the same credentials as the proxied router (e.g. authorized
> prefix). Proxies might even have more power than "basic" routers, given that
> they can modify/generate Router Advertisement, Neighbor Sol/Adv for all the
> node of a subnet.

OK. I will add text on this.

> Hope it helps.

Sure :)

Thanks!

Cheers.

JMC.

> Regards,
>        Tony